package com.ym.mec.biz.dal.page;

import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

/**
* @author zx
* @date 2021/9/26 15:52
*/
public class ImSendGroupMessageQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "消息是否发送")
    private Boolean sendFlag;

    @ApiModelProperty(value = "发送人")
    private String senderId;

    @ApiModelProperty(value = "消息发送类型即时 NOW、定时发送 TIMING")
    private String sendType;

    @ApiModelProperty(value = "0是系统消息、1普通消息(默认1)")
    private Integer isIncludeSender = 1;

    public Integer getIsIncludeSender() {
        return isIncludeSender;
    }

    public void setIsIncludeSender(Integer isIncludeSender) {
        this.isIncludeSender = isIncludeSender;
    }

    public String getSendType() {
        return sendType;
    }

    public void setSendType(String sendType) {
        this.sendType = sendType;
    }

    public String getSenderId() {
        return senderId;
    }

    public void setSenderId(String senderId) {
        this.senderId = senderId;
    }

    public Boolean getSendFlag() {
        return sendFlag;
    }

    public void setSendFlag(Boolean sendFlag) {
        this.sendFlag = sendFlag;
    }
}
